<div>
    <h2 id="page-heading">
        <span>Job Descriptions</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-job-description" [routerLink]="['/job-description/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Job Description
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="jobDescriptions?.length === 0">
        <span>No jobDescriptions found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="jobDescriptions && jobDescriptions.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>Name</span></th>
                    <th scope="col" ><span>Team Id</span></th>
                    <th scope="col" ><span>Team Name</span></th>
                    <th scope="col" ><span>Job Title</span></th>
                    <th scope="col" ><span>Line Of Work</span></th>
                    <th scope="col" ><span>Department</span></th>
                    <th scope="col" ><span>Education Background</span></th>
                    <th scope="col" ><span>Salary</span></th>
                    <th scope="col" ><span>Location</span></th>
                    <th scope="col" ><span>Summary</span></th>
                    <th scope="col" ><span>Main Responsibilities</span></th>
                    <th scope="col" ><span>Job Description</span></th>
                    <th scope="col" ><span>Job Qualifications</span></th>
                    <th scope="col" ><span>Profile Photo</span></th>
                    <th scope="col" ><span>Military Pass</span></th>
                    <th scope="col" ><span>En Language Score</span></th>
                    <th scope="col" ><span>Education Certificate</span></th>
                    <th scope="col" ><span>Driver License</span></th>
                    <th scope="col" ><span>Ch Language Score</span></th>
                    <th scope="col" ><span>Education Qualification</span></th>
                    <th scope="col" ><span>Citizen ID</span></th>
                    <th scope="col" ><span>Jp Language Score</span></th>
                    <th scope="col" ><span>Work Permit</span></th>
                    <th scope="col" ><span>Marriage Certificate</span></th>
                    <th scope="col" ><span>House Registry</span></th>
                    <th scope="col" ><span>Birth Certificate</span></th>
                    <th scope="col" ><span>Remark</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let jobDescription of jobDescriptions ;trackBy: trackId">
                    <td><a [routerLink]="['/job-description', jobDescription.id, 'view']">{{ jobDescription.id }}</a></td>
                    <td>{{ jobDescription.name }}</td>
                    <td>{{ jobDescription.teamId }}</td>
                    <td>{{ jobDescription.teamName }}</td>
                    <td>{{ jobDescription.jobTitle }}</td>
                    <td>{{ jobDescription.lineOfWork }}</td>
                    <td>{{ jobDescription.department }}</td>
                    <td>{{ jobDescription.educationBackground }}</td>
                    <td>{{ jobDescription.salary }}</td>
                    <td>{{ jobDescription.location }}</td>
                    <td>{{ jobDescription.summary }}</td>
                    <td>{{ jobDescription.mainResponsibilities }}</td>
                    <td>{{ jobDescription.jobDescription }}</td>
                    <td>{{ jobDescription.jobQualifications }}</td>
                    <td>{{ jobDescription.profilePhoto }}</td>
                    <td>{{ jobDescription.militaryPass }}</td>
                    <td>{{ jobDescription.enLanguageScore }}</td>
                    <td>{{ jobDescription.educationCertificate }}</td>
                    <td>{{ jobDescription.driverLicense }}</td>
                    <td>{{ jobDescription.chLanguageScore }}</td>
                    <td>{{ jobDescription.educationQualification }}</td>
                    <td>{{ jobDescription.citizenID }}</td>
                    <td>{{ jobDescription.jpLanguageScore }}</td>
                    <td>{{ jobDescription.workPermit }}</td>
                    <td>{{ jobDescription.marriageCertificate }}</td>
                    <td>{{ jobDescription.houseRegistry }}</td>
                    <td>{{ jobDescription.birthCertificate }}</td>
                    <td>{{ jobDescription.remark }}</td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/job-description', jobDescription.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/job-description', jobDescription.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(jobDescription)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
